
[package]
edition = "2024"
name = "napi-spawn-with-ipc"
version = "0.1.0"

[lib]
crate-type = ["cdylib"]

[dependencies]
napi = { version = "3.1.3", features = ["tokio_rt", "napi4"] }
napi-derive = "3.1.1"
tokio = { version = "1.47.1", features = ["rt-multi-thread", "time", "sync", "process", "macros"] }
ipc_duplex = { path = "../../shared-rust-crates/ipc-duplex" }

[build-dependencies]
napi-build = "2"

[profile.release]
lto = true
strip = "symbols"
